Date: Saturday, September 17, 2016 @ 19:01:29
  Author: anatolik
Revision: 276651

FS#50800 enable GTK3 support

Modified:
  vim/trunk/PKGBUILD

----------+
 PKGBUILD |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD    2016-09-17 12:52:50 UTC (rev 276650)
+++ PKGBUILD    2016-09-17 19:01:29 UTC (rev 276651)
@@ -14,7 +14,7 @@
 arch=(i686 x86_64)
 license=('custom:vim')
 url='http://www.vim.org'
-makedepends=(gpm python2 python ruby libxt gtk2 gtk3 lua gawk tcl)
+makedepends=(gpm python2 python ruby libxt gtk3 lua gawk tcl)
 source=(vim-$pkgver.tar.gz::http://github.com/vim/vim/archive/v$pkgver.tar.gz
         vimrc
         archlinux.vim)
@@ -66,7 +66,7 @@
     --enable-gpm \
     --enable-acl \
     --with-x=yes \
-    --enable-gui=gtk2 \
+    --enable-gui=gtk3 \
     --enable-multibyte \
     --enable-cscope \
     --enable-netbeans \
@@ -166,7 +166,7 @@
 
 package_gvim() {
   pkgdesc='Vi Improved, a highly configurable, improved version of the vi text 
editor (with advanced features, such as a GUI)'
-  depends=("vim-runtime=${pkgver}-${pkgrel}" 'gpm' 'libxt' 'gtk2')
+  depends=("vim-runtime=${pkgver}-${pkgrel}" 'gpm' 'libxt' 'gtk3')
   optdepends=('python2: Python 2 language support'
               'python: Python 3 language support'
               'ruby: Ruby language support'

Reply via email to